<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('module_accesses', function (Blueprint $table) {
            $table->id();
            $table->string('module_name');     // buyer, seller, rent, lease
            $table->boolean('is_visible')->default(true);  // toggle show/hide
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('module_accesses');
    }
};
